UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMEventQueueAttributes Class Reference

Encapsulates the set of default LBM event queue attributes. More...

Inheritance diagram for com.latencybusters.lbm.LBMEventQueueAttributes:

## Public Member Functions
unsafe | LBMEventQueueAttributes ()
| Instantiate LBMEventQueueAttributes class. More...
unsafe | LBMEventQueueAttributes (string eventQueueName)
| Instantiate an LBMEventQueueAttributes class using an event queue name from the xml configuration that must have been previously loaded. More...
void | Dispose ()
| Free memory associated with this set of attributes.
void | dispose ()
| Free memory associated with this set of attributes (same as Dispose()). More...
unsafe void | setFromXml (string eventQueueName)
| Set values in an LBMEventQueueAttributes class using an event queue name from the xml configuration that must have been previously loaded. More...
unsafe List< LBMConfigOption > | dumpAttributeList ()
| Dump source configuration options. More...
unsafe string | getValue (string attributeName)
| Returns the current value of an attribute from this set of event queue attributes. More...
unsafe void | setValue (string attributeName, string attributeValue)
| Set the current value of an attribute in this set of event queue attributes. More...
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)
| Set the LBM object recycler that can be used by the event queue to reuse stats objects. More...

## Detailed Description

Encapsulates the set of default LBM event queue attributes.

## Constructor & Destructor Documentation

unsafe com.latencybusters.lbm.LBMEventQueueAttributes.LBMEventQueueAttributes | ( |  | ) |

Instantiate LBMEventQueueAttributes class.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe com.latencybusters.lbm.LBMEventQueueAttributes.LBMEventQueueAttributes | ( | string | eventQueueName | ) |

Instantiate an LBMEventQueueAttributes class using an event queue name from the xml configuration that must have been previously loaded.

Parameters

  eventQueueName | Event queue name string. Is written into the attributes object.

Exceptions

  com.latencybusters.lbm.LBMException | The event queue name is not permitted by the XML configuration or other unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

## Member Function Documentation

void com.latencybusters.lbm.LBMEventQueueAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes (same as Dispose()).

See also
  Dispose

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe List<LBMConfigOption> com.latencybusters.lbm.LBMEventQueueAttributes.dumpAttributeList | ( |  | ) |

Dump source configuration options.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  An array of LBMConfigOptions

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBMConfigOption.OptionName, com.latencybusters.lbm.LBMConfigOption.Type, and com.latencybusters.lbm.LBMConfigOption.Value.

unsafe string com.latencybusters.lbm.LBMEventQueueAttributes.getValue | ( | string | attributeName | ) |

Returns the current value of an attribute from this set of event queue attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Value corresponding to the specified attribute name

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe void com.latencybusters.lbm.LBMEventQueueAttributes.setFromXml | ( | string | eventQueueName | ) |

Set values in an LBMEventQueueAttributes class using an event queue name from the xml configuration that must have been previously loaded.

Parameters

  eventQueueName | Event queue name string. Is written into the attributes object.

Exceptions

  com.latencybusters.lbm.LBMException | The event queue name is not permitted by the XML configuration or other unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.LBMEventQueueAttributes.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the event queue to reuse stats objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

unsafe void com.latencybusters.lbm.LBMEventQueueAttributes.setValue | ( | string | attributeName,
|  | string | attributeValue
| ) |  |

Set the current value of an attribute in this set of event queue attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

Referenced by com.latencybusters.lbm.LBMEventQueue.LBMEventQueue().

The documentation for this class was generated from the following file:

- LBMEventQueueAttributes.cs